Connect

List Candidates

Lists the Facebook Pages, or the Page-linked Instagram accounts, the account owner can connect in a headless connect session.

GET
/v1/connect-sessions/{sessionId}/candidates

Authorization

Bearer
headerAuthorizationBearer <op_>

Workspace API key, sent as Authorization: Bearer op_... Keys are created in the dashboard.

Path Parameters

sessionId*string

The connectSession value your redirect URL received.

Length1 <= length

Response Body

Candidates

application/json
  1. response
data*array<>
Example Request
import { Configuration, ConnectApi } from "@onepostly/sdk";const connectApi = new ConnectApi(  new Configuration({ accessToken: process.env.ONEPOSTLY_API_KEY }));const response = await connectApi.listConnectCandidates({  sessionId: "CONNECT_SESSION",});console.log(response);
Example Response
{  "data": [    {      "id": "123456789012345",      "platform": "facebook",      "name": "Your Brand",      "username": "yourbrand",      "pictureUrl": "https://cdn.onepostly.com/avatars/yourbrand.jpg",      "category": "Brand",      "pageName": null    },    {      "id": "123456789012346",      "platform": "facebook",      "name": "Your Brand Support",      "username": "yourbrandsupport",      "pictureUrl": "https://cdn.onepostly.com/avatars/yourbrandsupport.jpg",      "category": "Product/service",      "pageName": null    }  ]}